[Bug 1705393] Re: php7.0-mbstring : Depends: php7.0-common (= 7.0.4-7ubuntu2) but 7.0.18-0ubuntu0.16.04.1 is to be installed

Nish Aravamudan nish.aravamudan at canonical.com
Fri Jul 21 11:21:27 UTC 2017


On Fri, Jul 21, 2017 at 1:04 PM, daamien <1705393 at bugs.launchpad.net> wrote:
> The problème remains if I switch to the official repos :
>
> deb http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted universal
> deb http://security.ubuntu.com/ubuntu xenial-security main restricted universal
> deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universal

Is the sources.list file localized? "universal" vs. "universe"

Did you run apt-get update first?

> I check the php7.0-mbstring package here :
>
> https://packages.ubuntu.com/fr/xenial/php7.0-mbstring

I do not know why the output is like that, but there is no red dot
next to this dependency:
>
> And it says the package depends on php7.0-common (= 7.0.4-7ubuntu2)

which means it is not a dependency. Looking on xenial, correctly up to
date:

$ apt show php7.0-mbstring
Package: php7.0-mbstring
....
Version: 7.0.18-0ubuntu0.16.04.1
Provides: php-mbstring
Depends: php-common (>= 1:33), ucf, php7.0-common (=
7.0.18-0ubuntu0.16.04.1), libc6 (>= 2.14)

> which is similary to my apt install error message :
>
> php7.0-mbstring : Depends: php7.0-common (= 7.0.4-7ubuntu2) but
> 7.0.18-0ubuntu0.16.04.1 is to be installed

I'm 99% sure this is indicating you are trying to install a
php7.0-mbstring from the xenial release pocket (universe component)
and have php7.0-common from the xenial updates pocket (main
component).

-- 
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to php7.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1705393

Title:
  php7.0-mbstring : Depends: php7.0-common (= 7.0.4-7ubuntu2) but
  7.0.18-0ubuntu0.16.04.1 is to be installed

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/php7.0/+bug/1705393/+subscriptions



More information about the Ubuntu-server-bugs mailing list